For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • POSTUpload a document
      • GETGet a document by ID
      • DELDelete a document
      • POSTDownload a document
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIDocuments

Upload a document

POST
/v:version/documents
POST
/v:version/documents
$curl -X POST https://test.api.solvimon.com/v1/documents \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "name": "string",
6 "description": "string",
7 "content_type": "string",
8 "file_size": 1,
9 "downloaded_at": "string"
10}
Requires the DOCUMENT.CREATE permission.
Was this page helpful?
Previous

Get a document by ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
namestringOptionalformat: "^.*$"0-256 characters
The name of the document.
descriptionstring or nullOptional
An optional description of the document.
content_typestringOptional

Content type of the file (e.g. application/pdf).

contentstringOptional
The file content, BASE64 encoded. Max 10MB.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
namestringformat: "^.*$"0-256 characters
The name of the document.
descriptionstring or null
An optional description of the document.
content_typestring

Content type of the file (e.g. application/pdf).

file_sizelong or nullRead-only
The file size in bytes.
downloaded_atstring or nullRead-only
Timestamp of the most recent download.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error